Bug 14525 - Support exslt:node-set()
: Support exslt:node-set()
Status: RESOLVED FIXED
: WebKit
XML
: 523.x (Safari 3)
: Macintosh Mac OS X 10.4
: P2 Normal
Assigned To:
:
:
:
: 4079
  Show dependency treegraph
 
Reported: 2007-07-04 12:57 PST by
Modified: 2007-07-07 09:23 PST (History)


Attachments
proposed patch (14.79 KB, patch)
2007-07-04 13:16 PST, Alexey Proskuryakov
mjs: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-04 12:57:06 PST
According to the discussion in bug 4079, the most important part of EXSLT to support is node-set().
------- Comment #1 From 2007-07-04 13:16:12 PST -------
Created an attachment (id=15389) [details]
proposed patch

The copyright notice is taken from libexslt verbatim; it seems to be basically the same BSD-style licence AFAICT.

I took the node-set() implementation from libexslt 1.1.11, as it's the version shipped with Mac OS X 10.4. Newer versions have some correctness fixes (that seem relatively minor), but don't build with the old libxslt.
------- Comment #2 From 2007-07-04 13:30:28 PST -------
This is great to see!  Thanks! :D
------- Comment #3 From 2007-07-05 19:27:57 PST -------
(From update of attachment 15389 [details])
This looks like a good move until we decide whether we want full exslt.

r=me
------- Comment #4 From 2007-07-05 19:28:28 PST -------
This might be better for the feature branch, but also seems like a reasonable compatibility fix.
------- Comment #5 From 2007-07-06 01:24:52 PST -------
Yes, I was looking at this as a compatibility fix, planning to land on trunk.
------- Comment #6 From 2007-07-07 03:03:34 PST -------
Committed to trunk, revision 24088.

See bug 4079 comment 15 :-)
------- Comment #7 From 2007-07-07 09:23:16 PST -------
(In reply to comment #6)
> Committed to trunk, revision 24088.
> 
> See bug 4079 comment 15 :-)
> 

YES!  You are a *ROCKSTAR*, Alexey!!! :D  Thank you! :D